subroutine derivwall_dns()
use types,only:rprec
use param,only:dz,ld,nx,ny,nz
use sim_param,only:dudz,dvdz,u,v
implicit none
integer::jx,jy
! for some reason in the LES code, the 0.5 is not there. it seems to work
! though...      
do jy=1,ny
do jx=1,nx
   dudz(jx,jy,1)=u(jx,jy,1)/(0.5_rprec*dz)
   dvdz(jx,jy,1)=v(jx,jy,1)/(0.5_rprec*dz)
end do
end do
end subroutine derivwall_dns
